# Setting up mva-trainer

To obtain the code simply clone the repository using a protocol of your choice:
```sh
git clone ssh://git@gitlab.cern.ch:7999/skorn/mva-trainer.git
```
If this is your first time cloning the repository you need to verify that you have the necessary python modules installed.
For this purpose run the `setup.sh` script via:
```sh
source setup.sh
```
The script will check whether the necessary packages exist. If packages are missing an error message will be printed.
Please install any missing packages.

Each time you start a new shell you need to run the setup script again. It will set environmental variables that are picked up by the code.
The code itself is python based and hence does not need any compilation.

# Package dependencies

The code should be independent from any clashes between packages. However, there is one exception which is TensorFlow.
* Starting from version 2.3.0 TensorFlow requires 1.16.0=<numpy<1.19.0.
* You will likely have a more modern version of numpy. If you encounter issues with the code please check the Tensorflow-Numpy compatibility
* If you are installing TensorFlow from scratch it should install the correct Numpy version. Have a look at the output during the installation

The code should work using these package versions:

| **Package** | **Version** |
| ------ | ------ |
| Python | 3.6 or later|
| TensorFlow | 2.2 or later
| Numpy | <=1.16.0 and <1.19.0 |
| uproot | 4.1.2 or later |
| pandas | 1.3.1 or later |
| scikit-learn | 1.0 or later |
| tables | 3.6.1 or later |
| matplotlib | 3.2.2 or later |
| pydot | 1.4.1 or later |

Please raise an issue if you find versions that are leading to conflicts between packages.