#!/usr/bin/env python3
"""
Main steering script for conversion
"""
import argparse
import sklearn
from HelperModules.ConversionHandler import ConversionHandler

if __name__ == "__main__":
    parser = argparse.ArgumentParser(formatter_class=argparse.ArgumentDefaultsHelpFormatter)
    parser.add_argument("-c", "--configfile", help="Config file", required=True)
    parser.add_argument("-f", "--filter", dest="wildcard", help="additional string to filter input files", type=str, default='')
    parser.add_argument("--processes", help="the number of parallel processes to run", type=int, default=8)
    parser.add_argument("--plots", nargs="+", help="the dedicated plots to be produced, default is 'all'", default=["all"], choices=["all", "TrainStats", "DataMC", "nonNegativeWeights", "NegativeWeightSummary","TrainTest", "CorrelationMatrix", "CorrelationComparison", "Separation2D"])
    parser.add_argument("--plots-only", help="flag to set in case you only want to redo the plots",  action='store_true', dest="plots_only", default=False)
    args = parser.parse_args()

    ConvHandler = ConversionHandler(args)
    ConvHandler.PerformConversion()
