#!/bin/bash

cd $MVA_TRAINER_BASE_DIR
echo "=== Executing setup ==="
echo "Sourcing LCG stack"
source /cvmfs/sft.cern.ch/lcg/views/LCG_100_nxcals/x86_64-centos7-gcc9-opt/setup.sh
echo "Sourcing mva-trainer setup script"
source setup.sh
echo "Current working directory:"
pwd
echo "Listing content of current directory:"
ls
if [ $1 == "Converter" ]; then
    echo "=== Executing Converter ==="
    python3 scripts/Converter.py -c $2
fi
if [ $1 == "Trainer" ]; then
    echo "=== Executing Trainer ==="
    python3 scripts/Trainer.py -c $2
fi
if [ $1 == "Evaluater" ]; then
    echo "=== Executing Evaluater ==="
    python3 scripts/Evaluate.py -c $2
fi
if [ $1 == "All" ]; then
    echo "=== Executing Converter ==="
    python3 scripts/Converter.py -c $2
    echo "=== Executing Trainer ==="
    python3 scripts/Trainer.py -c $2
    echo "=== Executing Evaluater ==="
    python3 scripts/Evaluate.py -c $2
fi
echo "=== End ==="
